Myst lV Revelations & OS 10.14

Discussion in 'iMac' started by TCrowe, Oct 16, 2018.

  1. TCrowe macrumors member

    TCrowe

    Joined:
    Jul 14, 2014
    Location:
    Glen Ellen, CA.
    #1
    I was going through the archives and found an as yet unplayed copy of Myst Revelations for PC/Mac. It's pretty old but I have heard of patches that will run this on macs. I really don't know what is right and what is incorrect about it so I thought I would see if anyone knows of some way to make this work. Either that or it is now an excuse to revamp my old Mac Pro 1.1? Great excuse to buy a new monitor also. (running a late 2014 iMac with Mojave now. i5 iMac)

    I haven't been on here for quite a while so the iMac is obviously problem free. Either that or I just learned what the heck I'm doing now. ;0)
     
  2. Starfia macrumors 6502a

    Starfia

    Joined:
    Apr 11, 2011
    #2
    TCrowe – if you're willing to exercise a little patience to sidestep the technical uncertainties, Cyan says they're in the final stretch of preparing to re-release the whole Myst series for modern Macs.

    (Update: I think you're saying you already own that copy of Revelations – I originally interpreted that as you saying you were thinking about buying that copy you found. I already love Riven X, which works well, and I managed to find an Intel-compatible version of Myst V, so I'd still be interested to hear whether this works with Revelation if you end up trying it.)
     
  3. TCrowe thread starter macrumors member

    TCrowe

    Joined:
    Jul 14, 2014
    Location:
    Glen Ellen, CA.
    #3
    I'll give it a go and get back to you for sure. I have all the Myst games but have no idea concerning compatibility with 10.14. Let you know tomorrow and thanks for the info and reply!
     
  4. TCrowe thread starter macrumors member

    TCrowe

    Joined:
    Jul 14, 2014
    Location:
    Glen Ellen, CA.
    #4
    I purchased the newest version on Steam. I am awaiting time to drop my consciousness into the game but will probably load today. There is a jar install file on the old one that would not run on my iMac using 10.14. That's as far as I got but the old game seemed to not be able to run. Then again, I am not the sharpest knife in the drawer when it comes to patches and other files. Nor do I want to screw up the iMac which I use for writing novels and short stories. All in all I believe I got it right this time. Thanks for the reply!
     

Share This Page

3 October 16, 2018